Remove Rows

Deletes rows from a dynamic table.

For common headers and authentication methods, see Access to the API. For sample scenarios, see API usage examples.

Request

DELETE

https://api.wiki.yandex.net/v1/grids/{idx}/rows

Path parameters

Name

Description

idx

Type: string<uuid4>

Dynamic table UUID. The value of idx is the same as the id field value in the response to POST /v1/grids, or results[].id in the response to GET /v1/pages/{idx}/grids. In /v1/pages/{idx}/grids, idx is the numeric page ID.

Example: ``

Body

application/json
{
  "revision": "example",
  "row_ids": [
    "example"
  ]
}

Name

Description

row_ids

Type: string[]

IDs of the rows to delete.

Min items: 1

Example
[
  "example"
]

revision

Type: string

The table version used as the basis for the changes.

Example: example

Responses

200 OK

OK

Body

application/json
{
  "revision": "example"
}

Name

Description

revision

Type: string

Table revision after the operation.

Example: example